Get variation version history
curl --request GET \
--url https://www.getsnippets.ai/api/prompts/snippet/variation/history \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.getsnippets.ai/api/prompts/snippet/variation/history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.getsnippets.ai/api/prompts/snippet/variation/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"changed_at": "2023-11-07T05:31:56Z",
"content": {
"type": "plaintext",
"content": "Hello, world!"
}
}
],
"usage": {
"remainingRequests": 123,
"usageDeducted": 123
},
"metadata": {
"hasMore": true,
"totalRecords": 123
}
}Variations
Get Variation History
Retrieves the version history of a snippet variation. API Cost: N requests (one per history record returned).
GET
/
snippet
/
variation
/
history
Get variation version history
Authorizations
API key authentication using Bearer token. Include your API key in the Authorization header.
Query Parameters
The ID of the variation
Maximum number of versions to return (1-100)
Required range:
1 <= x <= 100Start date for filtering (ISO 8601 format)
End date for filtering (ISO 8601 format)
⌘I